# Generated by Django 2.2.17 on 2021-07-12 17:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('canvas', '0012_syncedstorelocation_shop'),
    ]

    operations = [
        migrations.AlterField(
            model_name='syncedobject',
            name='square_id',
            field=models.CharField(help_text="Square's identifier for the record (unknown till after upsert)", max_length=100, null=True),
        ),
        migrations.CreateModel(
            name='SyncedStockCount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_id', models.CharField(help_text="Square's id for the sync event, which is used for idempotency.", max_length=64)),
                ('timestamp', models.DateTimeField(help_text="Square's timestamp for when the event occurred.")),
                ('qty_change', models.DecimalField(decimal_places=5, max_digits=10)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stocked_shop_product', to='canvas.SyncedShopProduct')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stocking_location', to='canvas.SyncedStoreLocation')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
